# Product Details

## Product Details

<mark style="color:green;">`POST`</mark> [`{{apiUrl}}catalog/medicines/view`](https://api.evitalrx.in/v1/catalog/medicines/view)

#### Request Body

| Name                                           | Type   | Description                                                                                                                                                                                                                                                                                                           |
| ---------------------------------------------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| apikey<mark style="color:red;">\*</mark>       | String | Authentication Token                                                                                                                                                                                                                                                                                                  |
| medicine\_id<mark style="color:red;">\*</mark> | String | Unique id of the product                                                                                                                                                                                                                                                                                              |
| medicine\_ids                                  | String | <p>Stringified Array of medicine\_ids.</p><p></p><p><strong>medicine\_id</strong> param is optional, if <strong>medicine\_ids</strong> param is passed.</p><p></p><p>medicine\_ids should contain at least 2 medicine\_ids.</p><p></p><p>Example:</p><p>\["z5s5a+e/Cj4ip7sUl2zJFQ==", "otUfMtG4nIpWSc+oWoX7Lw=="]</p> |

{% tabs %}
{% tab title="200: OK Success" %}

```json
{
    "status_code": "1",
    "status_message": "Success",
    "datetime": "2022-12-06 15:46:28",
    "data": {
        "content": "",
        "how_medicine_works": "",
        "how_to_use": "",
        "id": "8Oq/U+AVxuCWtncoxUgtEg==", // medicine_id
        "medicine_image": "https://d2ffmswuyj0h1d.cloudfront.net/storage/medicines/5f056fbc83c8c.jpg",
        "is_rx_required": 0,
        "dosage_type": "",
        "medicine_name": "Organic Harvest Under Eye Gel",
        "mrp": 595,
        "packing_size": "1 Tube of 15gm",
        "size": 1,
        "manufacturer_name": "Organic Harvest",
        "side_effects": "",
        "alcohol": "",
        "driving": "",
        "kidney": "",
        "lactation": "",
        "liver": "",
        "pregnancy": "",
        "medicine_category": "generic",
        "alternative_results": {
            "in_stock_count": 0,
            "results": [
                {
                    "dosage_type": "",
                    "medicine_name": "Azithral XL 200 Liquid",
                    "content": "Azithromycin  (200mg/5ml)",
                    "mrp": "202.87",
                    "medicine_id": "m7IrSmX+8aSwf1QsTNQwxA==",
                    "packing_size": "1 Bottle of  60 Ml",
                    "size": "1",
                    "manufacturer_name": "Alembic Pharmaceuticals Ltd",
                    "medicine_type": "drug"
                },
                {
                    "dosage_type": "",
                    "medicine_name": "Grocapix M Serum",
                    "content": "Minoxidil (5%w/v)",
                    "mrp": "995",
                    "medicine_id": "PwV4BmXVlNv38hazbjPZog==",
                    "packing_size": "1 Bottle of  60 Ml",
                    "size": "1",
                    "manufacturer_name": "Alembic Pharmaceuticals Ltd",
                    "medicine_type": "drug"
                },
                {
                    "dosage_type": "",
                    "medicine_name": "Lamiwin 500 mg Infusion",
                    "content": "Levofloxacin (500mg)",
                    "mrp": "120",
                    "medicine_id": "FH8RZwkCHnVoLQ17auLIjg==",
                    "packing_size": "100 ml in 1 bottle",
                    "size": "1",
                    "manufacturer_name": "Alembic Pharmaceuticals Ltd",
                    "medicine_type": "drug",
                    "schedule_type": "H1"
                }
            ]
        },
        "medicine_images": [
            {
                "medicine_image": "https://d2ffmswuyj0h1d.cloudfront.net/storage/medicines/5f056fbc83c8c.jpg",
                "default": "no"
            }
        ]
    }
}
```

{% endtab %}

{% tab title="200: OK No Product found according to request params" %}

```json
{
    "status_code": "0",
    "status_message": "Invalid medicine key",
    "datetime": "2022-12-06 16:42:59",
    "data": null
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.evitalrx.in/api-for-product-catalogue/medicines/product-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
